Disconnect connector account
curl --request POST \
--url https://api.openworklabs.com/v1/connector-accounts/{connectorAccountId}/disconnect \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://api.openworklabs.com/v1/connector-accounts/{connectorAccountId}/disconnect"
payload = { "reason": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.openworklabs.com/v1/connector-accounts/{connectorAccountId}/disconnect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"item": {
"deletedConfigObjectCount": 4503599627370495,
"deletedConnectorInstanceCount": 4503599627370495,
"deletedConnectorMappingCount": 4503599627370495,
"disconnectedAccountId": "<string>",
"reason": "<string>"
}
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Connectors
Disconnect connector account
Disconnects a connector account and cleans up all associated connector-managed records.
POST
/
v1
/
connector-accounts
/
{connectorAccountId}
/
disconnect
Disconnect connector account
Path Parameters
Den TypeID with 'cac_' prefix and a 26-character base32 suffix.
Required string length:
30Pattern:
^cac_.*Body
application/json
Required string length:
1 - 255Was this page helpful?
⌘I